Page MenuHomePhabricator

Sudden rise of changesets in wikimedia.biterg.io metrics
Closed, ResolvedPublic

Description

In https://wikimedia.biterg.io/ you can see a sharp increase in Changesets: from 340 in 2016-05-02 (and similar numbers before) to 1058 on 2016-05-09 (and similar numbers after). What is the reason for that?

Perhaps related, it is a bit curious that Commits and Authors show a descending trend while Changesets and Changesets Submitters show and ascendant trend. One would expect both to be more or less parallel.

Event Timeline

Qgil created this task.Sep 16 2016, 8:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2016, 8:17 AM

Indeed, according to korma, the number of changesets make sense after that huge increase. Those are at the level of 1 or 2K.

On the other hand as you mention, the number of commits is pretty low if compared to the number of changesets. Let me have a look at the numbers...

I see the issue, in the new platform we're losing some packages when uploading the data. Issues in our infrastructure that we already had and known bug.

Working on it to re-upload the data. Sorry for the noise.

Aklapper triaged this task as Medium priority.
Aklapper moved this task from Backlog to Doing on the wikimedia.biterg.io board.
Qgil moved this task from To triage to Team radar on the Developer-Advocacy board.Sep 28 2016, 7:53 PM

Gerrit data was updated. This issue does no longer exist as far as I see.

Check it out here: https://wikimedia.biterg.io:443/goto/36939826a53b7dfc7caa462dc515e5ca

Aklapper closed this task as Resolved.Nov 23 2016, 8:27 PM

Indeed, looks more likely (correct) now, also when viewing the last 12 months to have the mentioned time frame included.

Thanks a lot!
Closing as resolved.

Qgil awarded a token.Nov 24 2016, 8:04 AM